/*****
 *       xhackometer - part of the Hackometer project
 *                                                                   
 * xhackometer records keyboard and mouse and cache files
 * for later delivery to hackometer server
 *                                                                   
 *        Copyright (C) 2009 Henrik Sandklef      
 *                                                                   
 * This program is free software; you can redistribute it and/or     
 * modify it under the terms of the GNU General Public License       
 * as published by the Free Software Foundation; either version 3    
 * of the License, or any later version.                             
 *                                                                   
 *                                                                   
 * This program is distributed in the hope that it will be useful,   
 * but WITHOUT ANY WARRANTY; without even the implied warranty of    
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the     
 * GNU General Public License for more details.                      
 *                                                                   
 * You should have received a copy of the GNU General Public License 
 * along with this program; if not, write to the Free Software       
 * Foundation, Inc., 51 Franklin Street, Boston,            
 * MA  02110-1301, USA.                                              
 ****/


#ifndef XHM_CACHE_H
#define XHM_CACHE_H
#include "xhm/xhm.h"

#define XHM_NO_CACHE_FOUND 1
#define XHM_COULD_NOT_OPEN 2
#define XHM_CACHE_FILE_SUFFIX ".hmc"

int   (*cache_fun)      (xhm_data*);
int   (*send_cache_fun) (xhm_data*);

int
set_cache_fun (xhm_data *xd,  int (*fun)(xhm_data* xd));

int
set_send_cache_fun (xhm_data *xd,  int (*fun)(xhm_data* xd));



#endif
